Skip to main content
PATCH
/
v1
/
merchants
/
{merchantId}
Update a merchant
curl --request PATCH \
  --url https://api.pay.walletconnect.com/v1/merchants/{merchantId} \
  --header 'Api-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchantName": "<string>",
  "merchantEmail": "jsmith@example.com",
  "iconUrl": "https://example.com/new-logo.png"
}
'
{
  "merchant": {
    "id": "mrch_7kBz2qR9xPvLmN4Yw",
    "name": "Acme Store v2",
    "email": "billing@acme.store",
    "status": "active",
    "iconUrl": "https://imagedelivery.net/example/acme-icon.png",
    "createdAt": "2025-06-15T10:30:00.000Z"
  }
}

Authorizations

Api-Key
string
header
required

Path Parameters

merchantId
string
required

Body

application/json
merchantName
string

Updated display name

Required string length: 1 - 256
Example:

"Acme Store v2"

merchantEmail
string<email>

Updated contact email

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Example:

"new-billing@acme.store"

iconUrl
string<uri> | null

Updated logo URL (HTTPS only), or null to unset

Example:

"https://example.com/new-logo.png"

Response

Merchant updated

merchant
object
required